NewStart CGSL CORE 5.04 / MAIN 5.04 : gupnp 漏洞 (SA-2021-0115)

high Nessus 插件 ID 154564

语言:

简介

远程 NewStart CGSL 主机受到一个漏洞影响。

描述

运行 CORE 5.04 / MAIN 5.04 版本的远程 NewStart CGSL 主机上安装的 gupnp 程序包受到漏洞的影响:

- 在 GUPnP 1.0.7 和 1.1.x 之前的版本以及 1.2.5 之前的 1.2.x 版本中发现一个问题。该问题允许 DNS 重新绑定。远程 Web 服务器可利用此漏洞,诱骗受害者的浏览器针对使用此库实现的本地 UPnP 服务触发操作。视受影响的服务而定,该漏洞可能会用于数据外泄、数据篡改等。(CVE-2021-33516)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级易受攻击的 CGSL gupnp 程序包。请注意,更新后的程序包尚未发布。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2021-0115

http://security.gd-linux.com/info/CVE-2021-33516

插件详情

严重性: High

ID: 154564

文件名: newstart_cgsl_NS-SA-2021-0115_gupnp.nasl

版本: 1.2

类型: local

发布时间: 2021/10/27

最近更新时间: 2021/10/27

风险信息

VPR

风险因素: Medium

分数: 5.2

CVSS v2

风险因素: Medium

基本分数: 5.8

时间分数: 4.3

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:N

时间矢量: E:U/RL:OF/RC:C

CVSS 分数来源: CVE-2021-33516

CVSS v3

风险因素: High

基本分数: 8.1

时间分数: 7.1

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:N

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:zte:cgsl_core:gupnp, p-cpe:/a:zte:cgsl_core:gupnp-debuginfo, p-cpe:/a:zte:cgsl_core:gupnp-devel, p-cpe:/a:zte:cgsl_core:gupnp-docs, p-cpe:/a:zte:cgsl_main:gupnp, p-cpe:/a:zte:cgsl_main:gupnp-debuginfo, p-cpe:/a:zte:cgsl_main:gupnp-devel, p-cpe:/a:zte:cgsl_main:gupnp-docs, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

易利用性: No known exploits are available

补丁发布日期: 2021/9/24

漏洞发布日期: 2021/5/24

参考资料信息

CVE: CVE-2021-33516